Package: groovy.io

## [Java] Enum FileVisitResult

- groovy.io.FileVisitResult

-     public enum FileVisitResult
      extends Enum

  Represents special return values for the 'preDir', 'postDir' and 'visit'/supplied Closures used with ResourceGroovyMethods.traverse and related methods to control subsequent traversal behavior.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CONTINUE` | Continue processing; the default
    `SKIP_SIBLINGS` | Skip processing sibling files/directories within the current directory being processed
    `SKIP_SUBTREE` | Do not process the child files/subdirectories within the current directory being processed
    `TERMINATE` | Do not process any more files

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FileVisitResult CONTINUE

      Continue processing; the default

    - #### FileVisitResult SKIP_SIBLINGS

      Skip processing sibling files/directories within the current directory being processed

    - #### FileVisitResult SKIP_SUBTREE

      Do not process the child files/subdirectories within the current directory being processed

    - #### FileVisitResult TERMINATE

      Do not process any more files